Name:           epsilon
Version:        0.3.0.012
Release:        4%{?dist}
Summary:        Small, display independent, and quick thumbnailing library

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-01-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ecore-devel edje-devel evas-devel epeg-devel
BuildRequires:  libjpeg-devel libpng-devel xine-lib-devel imlib2-devel
BuildRequires:  chrpath pkgconfig

%description
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org.


%package        xine
Summary:        Optional video thumbnailing support for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 

%description    xine
This optional plugin gives Epsilon ability to create thumbnails of video files
using xine-lib.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       imlib2-devel ecore-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}*
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib%{name}*
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_libdir}/%{name}/plugins/
%{_bindir}/%{name}*
%{_libdir}/*.so.*

%files xine
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/xine_thumbnailer.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed May 21 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.3.0.012-4
- rebuilt

* Thu May 15 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.3.0.012-3
- Added missing pkgconfig to buildrequires and requires of epsilon-devel
- Removed unneded ldconfig call for epsilon-xine
- Removed epsilon-devel dependency on epsilon-xine

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.3.0.012-2
- Added missing dependencies for epsilon-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

* Wed Apr 16 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.3.0.012-1
- Initial specfile for Epsilon
